// Geoffrey Zweig (gzweig@microsoft.com)
// Copyright (c) 2009, 2010 Microsoft Corporation. All rights reserved.

#ifndef COMMAND_LINE_H
#define COMMAND_LINE_H

#include <stdio.h>
#include <assert.h>
#include <string>
#include <map>

using namespace std;

struct arg {
	string type, val, comment;
	bool required;
	arg(string t, string d, string c, bool r) : type(t), val(d), comment(c), required(r) {}
	arg() {type = "UNDEFINED";}
};

struct clparser {
	mutable map<string, arg> arginfo4;
	void register_arg(string name, string type, string comment="", string default_val="", bool required=false);
	void parse(char *list[], int llen);
	void *get(string name) const;
};

#endif



