// Geoffrey Zweig (gzweig@microsoft.com)
// Copyright (c) 2009 Microsoft Corporation. All rights reserved.

#ifndef EDIT_DISTANCE_H
#define EDIT_DISTANCE_H

#include <vector>

using namespace std;

enum operation{ins, del, sub, null, match};  // into the reference; match used in other programs

struct alignop {
    int rpos, hpos;
    operation op;
    alignop(int r, int h, operation o) {rpos=r; hpos=h; op=o;}
};

int min_ed(vector<int> &ref, vector<int> &hyp, vector<alignop> &alignment);

#endif
