// Geoffrey Zweig (gzweig@microsoft.com)
// Patrick Nguyen (panguyen@microsoft.com)
// Copyright (c) 2009 Microsoft Corporation. All rights reserved.

#ifndef FUTIL_H
#define FUTIL_H

#include <string>
#include <vector>
#include <map>

using namespace std;

void write_string2int_map(FILE *fout, map<string, int> &mapping);
void write_int2string_map(FILE *fout, map<int, string> &mapping);
void write_vec_float(FILE *fout, vector<float> &v);
void write_vec_double(FILE *fout, vector<double> &v);
void write_vec_int(FILE *fout, vector<int> &v);
void write_vec_string(FILE *fout, vector<string> &v);

void read_string2int_map(FILE *fin, map<string, int> &mapping);
void read_int2string_map(FILE *fin, map<int, string> &mapping);
void read_vec_float(FILE *fin, vector<float> &v);
void read_vec_double(FILE *fin, vector<double> &v);
void accum_vec_float(FILE *fin, vector<float> &v);
void accum_vec_double(FILE *fin, vector<double> &v);
void read_vec_int(FILE *fin, vector<int> &v);
void read_vec_string(FILE *fin, vector<string> &v);

void write_float(FILE *fout, float f);
void read_float(FILE *fin, float &f);
void write_double(FILE *fout, double f);
void read_double(FILE *fin, double &f);

#endif
