#!/usr/bin/perl -w

die "usage: remove_no_match no_match_list infile\n" unless ($#ARGV == 1);

$mfile = $ARGV[0];
$infile = $ARGV[1];

%match = ();
open(FIN, $mfile) or die "unable to open $mfile\n";
while (<FIN>) {
    s/[\r\n]//og;
    $match{$_} = 1;
}
close(FIN);

if ($infile =~ /\.gz$/o) {
    open(FIN, "gzip -cd $infile |") or die "unable to open $infile\n";
} else {
    open(FIN, $infile) or die "unable to open $infile\n";
}

$state = "noprint";
while (<FIN>) {
    s/[\r\n]//og;
    if (/^(\w+)\.(\w+)( NO_MATCH)?$/o) {
        $guid = $1;
        $state = "noprint";
        $state = "print" if (defined($match{$guid}));
    }
    print "$_\n" if ($state eq "print");
}
close(FIN);
    
